# Class ApplicationFilterConfig

java.lang.Object
org.apache.catalina.core.ApplicationFilterConfig

All Implemented Interfaces:
  `Serializable, FilterConfig`

public final class ApplicationFilterConfig extends Object implements FilterConfig, Serializable
Implementation of a `javax.servlet.FilterConfig` useful in managing the filter instances instantiated when a web application is first started.

See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFilterClass()`
  Returns the filter class name.
  `Map<String,String>`
  `getFilterInitParameterMap()`
  Returns an unmodifiable map of filter initialization parameters.
  `String`
  `getFilterName()`
  Get the name of the filter.
  `String`
  `getInitParameter(String name)`
  Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
  `Enumeration<String>`
  `getInitParameterNames()`
  Returns the names of the filter's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the filter has no initialization parameters.
  `ServletContext`
  `getServletContext()`
  Returns a reference to the `ServletContext` in which the caller is executing.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getFilterName

    public String getFilterName()
    Description copied from interface: `javax.servlet.FilterConfig`
    Get the name of the filter.
    Specified by:
      `getFilterName` in interface `FilterConfig`
    Returns:
      The filter-name of this filter as defined in the deployment descriptor.

  - ### getFilterClass

    public String getFilterClass()
    Returns the filter class name.
    Returns:
      The class of the filter we are configuring.

  - ### getInitParameter

    public String getInitParameter(String name)
    Description copied from interface: `javax.servlet.FilterConfig`
    Returns a `String` containing the value of the named initialization parameter, or `null` if the parameter does not exist.
    Specified by:
      `getInitParameter` in interface `FilterConfig`
    Parameters:
      `name` - `String` specifying the name of the initialization parameter
    Returns:
      `String` containing the value of the initialization parameter

  - ### getInitParameterNames

    public Enumeration<String> getInitParameterNames()
    Description copied from interface: `javax.servlet.FilterConfig`
    Returns the names of the filter's initialization parameters as an `Enumeration` of `String` objects, or an empty `Enumeration` if the filter has no initialization parameters.
    Specified by:
      `getInitParameterNames` in interface `FilterConfig`
    Returns:
      `Enumeration` of `String` objects containing the names of the filter's initialization parameters

  - ### getServletContext

    public ServletContext getServletContext()
    Description copied from interface: `javax.servlet.FilterConfig`
    Returns a reference to the `ServletContext` in which the caller is executing.
    Specified by:
      `getServletContext` in interface `FilterConfig`
    Returns:
      `ServletContext` object, used by the caller to interact with its servlet container
    See Also:
      - `ServletContext`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFilterInitParameterMap

    public Map<String,String> getFilterInitParameterMap()
    Returns an unmodifiable map of filter initialization parameters.
    Returns:
      the filter initialization parameter map